package com.hypermotion2d;

import android.content.Context;
import android.opengl.GLSurfaceView;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;
import com.roxiga.hypermotion2d.*;

//①
public class HyperMotion2D implements GLSurfaceView.Renderer
{
	//②メンバ変数
	//コンテクスト
	private Context _context;
	//画面幅
	public int _width;
	//画面高さ
	public int _height;
	//画面をタッチしたか？
	public boolean _touch;

	//@Override
	//③コンストラクタ
	public HyperMotion2D(Context context)
	{
	    _context = context;
	}

	//@Override
	//④描画できるように毎フレーム呼び出される関数
	public void onDrawFrame(GL10 gl)
	{
	    // 描画用バッファをクリア
	    gl.glClear(GL10.GL_COLOR_BUFFER_BIT
	    		| GL10.GL_DEPTH_BUFFER_BIT);
	}
	
	//@Override
	//⑤サーフェイスのサイズ変更時に呼ばれる
	public void onSurfaceChanged(
			GL10 gl, int width, int height)
	{
	}

	//@Override
	//⑥サーフェイスが生成される際・または再生成される際に呼ばれる
	public void onSurfaceCreated(
			 GL10 gl, EGLConfig config)
	{
		//⑦背景色
	   	gl.glClearColor(1.0f,1.0f,1.0f,1.0f);
	    // ディザを無効化
	    gl.glDisable(GL10.GL_DITHER);
	    // 深度テストを有効に
	    gl.glEnable(GL10.GL_DEPTH_TEST);
	 	//テクスチャ機能ON
	  	gl.glEnable(GL10.GL_TEXTURE_2D);
	    //透明可能に
	  	gl.glEnable(GL10.GL_ALPHA_TEST);
	   	//ブレンド可能に
	   	gl.glEnable(GL10.GL_BLEND);
	  	//色のブレンド方法
	  	gl.glBlendFunc(GL10.GL_SRC_ALPHA,
			GL10.GL_ONE_MINUS_SRC_ALPHA);
	}

	//⑧
	public void actionDown(float x,float y)
	{
		_touch = true;
	}
	
	//⑨
	public void actionMove(float x,float y)
	{
	}

	//⑩
	public void actionUp(float x,float y)
	{
		_touch = false;
	}
}
